summaryrefslogtreecommitdiffstats
path: root/development/cvsps
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-11 20:00:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:22 +0200
commit879a026a671932495d0f9e245111a1700aa2df4a (patch)
tree3e861065ca695c034115e8ffc17164afbae92adf /development/cvsps
parent3ba339ededfdf0ccf377d51ff04213194c416b9d (diff)
downloadslackbuilds-879a026a671932495d0f9e245111a1700aa2df4a.tar.gz
slackbuilds-879a026a671932495d0f9e245111a1700aa2df4a.tar.xz
development/cvsps: Added to 12.0 repository
Diffstat (limited to 'development/cvsps')
-rw-r--r--development/cvsps/README9
-rw-r--r--development/cvsps/cvsps.SlackBuild57
-rw-r--r--development/cvsps/cvsps.info8
-rw-r--r--development/cvsps/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/development/cvsps/README b/development/cvsps/README
new file mode 100644
index 0000000000..6ce8fa38e1
--- /dev/null
+++ b/development/cvsps/README
@@ -0,0 +1,9 @@
+CVSps is a program for generating 'patchset' information from a CVS
+repository. A patchset in this case is defined as a set of changes
+made to a collection of files, and all committed at the same time
+(using a single 'cvs commit' command). This information is valuable
+to seeing the big picture of the evolution of a cvs project. While
+cvs tracks revision information, it is often difficult to see what
+changes were committed 'atomically' to the repository.
+
+cvsps is needed by git-cvsimport (from Slackware's native git package)
diff --git a/development/cvsps/cvsps.SlackBuild b/development/cvsps/cvsps.SlackBuild
new file mode 100644
index 0000000000..d01e853c1d
--- /dev/null
+++ b/development/cvsps/cvsps.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for cvsps
+# Written by paul wisehart wise@lupulin.net
+
+PRGNAM=cvsps
+VERSION=2.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+make install prefix=$PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/share/man $PKG/usr && rmdir $PKG/usr/share
+gzip -9 $PKG/usr/man/man1/cvsps.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/cvsps/cvsps.info b/development/cvsps/cvsps.info
new file mode 100644
index 0000000000..0454a84d32
--- /dev/null
+++ b/development/cvsps/cvsps.info
@@ -0,0 +1,8 @@
+PRGNAM="cvsps"
+VERSION="2.1"
+HOMEPAGE="http://www.cobite.com/cvsps/"
+DOWNLOAD="http://www.cobite.com/cvsps/cvsps-2.1.tar.gz"
+MD5SUM="bde2110ed9f5d14de8f8cb04e9d596fe"
+MAINTAINER="paul wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="rworkman"
diff --git a/development/cvsps/slack-desc b/development/cvsps/slack-desc
new file mode 100644
index 0000000000..046fc7a5e7
--- /dev/null
+++ b/development/cvsps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cvsps: CVSps (program for generating "patchset" information from a CVS)
+cvsps:
+cvsps: CVSps is a program for generating "patchset" information from a CVS
+cvsps: repository. A patchset in this case is defined as a set of changes
+cvsps: made to a collection of files, and all committed at the same time
+cvsps: (using a single "cvs commit" command). This information is valuable
+cvsps: to seeing the big picture of the evolution of a cvs project. While
+cvsps: cvs tracks revision information, it is often difficult to see what
+cvsps: changes were committed "atomically" to the repository.
+cvsps:
+cvsps: